Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.memdao
Class FaultDaoImpl

    java.lang.Object
      org.apache.ode.bpel.memdao.FaultDaoImpl

All Implemented Interfaces:
  FaultDAO

    public class FaultDaoImpl

extends java.lang.Object
implements FaultDAO

In-memory implementation of `FaultDAO`.

Constructor Summary
`FaultDaoImpl(java.lang.String name, java.lang.String explanation, org.w3c.dom.Element data, int lineNo, int activityId)`

Method Summary
`int` | `getActivityId()`
`java.util.Date` | `getCreateTime()`
`org.w3c.dom.Element` | `getData()`
`java.lang.String` | `getExplanation()`
`int` | `getLineNo()`
`javax.xml.namespace.QName` | `getName()`
`void` | `setActivityId(int activityId)`
`void` | `setData(org.w3c.dom.Element data)`
`void` | `setExplanation(java.lang.String explanation)`
`void` | `setLineNo(int lineNo)`
`void` | `setName(javax.xml.namespace.QName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultDaoImpl

    public FaultDaoImpl(java.lang.String name,
                        java.lang.String explanation,
                        org.w3c.dom.Element data,
                        int lineNo,
                        int activityId)

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `FaultDAO`

### setName

    public void setName(javax.xml.namespace.QName name)

### getExplanation

    public java.lang.String getExplanation()

  Specified by:
    `getExplanation` in interface `FaultDAO`

### setExplanation

    public void setExplanation(java.lang.String explanation)

### getData

    public org.w3c.dom.Element getData()

  Specified by:
    `getData` in interface `FaultDAO`

### setData

    public void setData(org.w3c.dom.Element data)

### getLineNo

    public int getLineNo()

  Specified by:
    `getLineNo` in interface `FaultDAO`

### setLineNo

    public void setLineNo(int lineNo)

### getActivityId

    public int getActivityId()

  Specified by:
    `getActivityId` in interface `FaultDAO`

### setActivityId

    public void setActivityId(int activityId)

### getCreateTime

    public java.util.Date getCreateTime()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD